using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    ///托盘信息绑定表
    ///</summary>
    [SugarTable("wms_pallet_info"), TenantAttribute("wcs")]
    [DataContract(Name = "托盘信息绑定表")]
    public class WmsPalletInfo
    {
        /// <summary>
        /// 租户号;主键
        /// </summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 托盘信息RFID编码，不能修改
        /// </summary>
        [SugarColumn(ColumnName = "pallet_info_code")]
        public string PalletInfoCode { get; set; }

        /// <summary>
        /// 原材料数量
        /// </summary>
        [SugarColumn(ColumnName = "amount")]
        public int Amount { get; set; }

        /// <summary>
        /// 携带色粉标记:0-无；1-有色粉
        /// </summary>
        [SugarColumn(ColumnName = "toner_flag")]
        public int TonerFlag { get; set; }

        /// <summary>
        /// 料箱类型：S-四宫格；X-小料箱
        /// </summary>
        [SugarColumn(ColumnName = "pallet_type")]
        public string PalletType { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "created_by")]
        public string CreatedBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "created_time")]
        public DateTime CreatedTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "updated_by")]
        public string UpdatedBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "updated_time")]
        public DateTime UpdatedTime { get; set; }
    }
}